package com.yspay.saas.demo;

import com.yspay.saas.AbstractGmsTest;
import org.junit.Test;

import java.util.HashMap;
import java.util.Map;

/**
 * @author shitao
 * @date 2021/12/28  16:22
 */
public class GmsScanOptOnlineTest extends AbstractGmsTest {
    /**
     * 开发环境机构号
     */
    private String localCerId = "ORG20191114174409";
    /**
     * 生产环境机构号
     */
    private String proCerId = "ORG20211227202407";

    @Test
    public void optOnlineD0() throws Exception {
        Map<String, String> map = new HashMap<>();
        map.put("mercId", "826440357229AWE");
        //权限操作类型：1开通 0关闭
        map.put("opType", "1");
        //费率（单位：1%）
        map.put("feeRate", "0.03");
        //封底（单位：分）
        map.put("feeMin", "2");
        sendPost("orgScan/optOnlineD0", map, localCerId, EVN.LOCAL);

    }

    @Test
    public void optOnlineD1() throws Exception {
        Map<String, String> map = new HashMap<String, String>();
        map.put("mercId", "826440357229AXT");
        map.put("opType", "1");
        map.put("d1AdvanceType", "1");
        map.put("feeRate", "2.5");
        map.put("minFeeOnRate", "386");
        map.put("fixFee", "100");
        sendPost("orgScan/optOnlineD1", map, localCerId, EVN.LOCAL);

    }
}
