package com.yspay.saas.demo;

import com.yspay.saas.AbstractGmsTest;
import org.junit.Test;

import java.util.HashMap;
import java.util.Map;

/**
 * @author shitao
 * @date 2021/12/28  16:29
 */
public class GmsSignContractDemo extends AbstractGmsTest {
    /**
     * 开发环境机构号
     */
    private String localCerId = "ORG20191114174409";
    /**
     * 生产环境机构号
     */
    private String proCerId = "ORG20211227202407";

    @Test
    public void sendSmsCode() throws Exception {
        Map<String, String> map = new HashMap<String, String>();
        map.put("sysFlowId", "27202108181509034762875");
        map.put("isSendMsg", "Y");
        sendPost("orgSign/sendSmsCode",map,localCerId,EVN.LOCAL);
    }

    @Test
    public void querySignSts() throws Exception {
        Map<String, String> map = new HashMap<String, String>();
        map.put("sysSignFlowId", "MAN202103033234210");
        sendPost("orgSign/invalidSign",map,localCerId,EVN.LOCAL);
    }

    @Test
    public void invalidSign() throws Exception {
        Map<String, String> map = new HashMap<String, String>();
        map.put("sysSignFlowId", "MAN202011170121106");
        sendPost("orgSign/invalidSign",map,localCerId,EVN.LOCAL);
    }

    @Test
    public void downSign() throws Exception {
        Map<String, String> map = new HashMap<String, String>();
        map.put("sysSignFlowId", "MAN202011170121106");
        sendPost("orgSign/downSign",map,localCerId,EVN.LOCAL);
    }


    @Test
    public void sendScanSmsCode() throws Exception {
        Map<String, String> map = new HashMap<String, String>();
        map.put("sysFlowId", "27202108181509034762875");
        map.put("mercClass", "Term");//终端Term 立牌Qry
        map.put("isSendMsg", "Y");
        sendPost("orgSign/sendSmsCode",map,localCerId,EVN.LOCAL);
    }
}
