package com.yspay.saas.demo;

import com.yspay.saas.AbstractGmsTest;
import org.junit.Test;

import java.util.HashMap;
import java.util.Map;

/**
 * @author shitao
 * @date 2021/12/28  16:37
 */
public class GmsSignNoMercContractDemo extends AbstractGmsTest {
    /**
     * 开发环境机构号
     */
    private final String localCerId = "ORG20191114174409";
    /**
     * 生产环境机构号
     */
    private final String proCerId = "ORG20211227202407";

    @Test
    public void sendSmsCode() throws Exception {
        Map<String, String> map = new HashMap<String, String>();
        map.put("mercId", "1231231231");
        map.put("businessLicence", "某某科技有限公司");
        map.put("mercCnm", "某某科技有限公司");
        map.put("businessLicenceNo", "2342424fsdf");
        map.put("businessLicenceEdate", "43931221");
        map.put("registeredAddress", "广东省深圳市龙华区远景大厦");
        map.put("businessAddress", "广东省深圳市龙华区远景大厦");
        map.put("legalPersonName", "小王");
        map.put("legalPersonId", "123456987523659485");
        map.put("legalPersonIdEdate", "15231222");
        map.put("contactsName", "小伟");
        map.put("contactsPhone", "15012975693");
        map.put("contactsEmail", "111@eptok.com");
        map.put("balanceAccName", "小王");
        map.put("openAccBankname", "北京银行股份有限公司天津发区支行");
        map.put("balanceAccCardno", "34242");
        /**工作日*/
        map.put("t111Rate", "0.5");
        map.put("t111RateTop", "500");
        map.put("t112Rate", "0.6");
        /**天天*/
        map.put("t11Rate", "");
        map.put("t11RateTop", "");
        map.put("t12Rate", "");

        map.put("tadvanceFee", "0.5");
        map.put("tadvanceMin", "0.5");
        map.put("d0AdvanceJsignFee", "0.5");
        map.put("d0AdvanceJsignMin", "0.5");

        map.put("wechatSignRate", "0.5");
        map.put("alipaySignRate", "0.5");
        map.put("debitRate2", "0.5");
        map.put("debitRate1", "0.5");
        map.put("creditRate1", "0.5");

        map.put("actualManager", "小王");
        map.put("actualNo", "123456987523659485");
        map.put("actualNoValid", "15231222");
        map.put("manFirstTrial", "0.5");
        map.put("manReview", "0.5");
        map.put("manEntry", "0.5");
        map.put("manDate", "20200713");
        map.put("cusMgrNm", "小小");
        map.put("mercType", "1");
        map.put("backUrl", "http://www.baidu.com");
        sendPost("signContract/sendSmsCode", map, localCerId, EVN.LOCAL);
    }
}
